## wget 0.0.2

=== DESCRIPTION ===
Package: wget
Title: Setting Download Method to 'wget'
Version: 0.0.2
Authors@R: 
        person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
Description: Provides function, wget_set(), to change the method (default to 'wget -c') using in download.file().
  Using 'wget -c' allowing continued downloading, which is especially useful for slow internet connection and for downloading large files.
  User can run wget_unset() to restore previous setting.
Imports: yulab.utils (>= 0.1.7)
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-08-30 13:36:49 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2024-09-03 16:10:02 UTC
