## wget 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wget
 Title: Setting Download Method to 'wget'
-Version: 0.0.2
+Version: 0.0.3
 Authors@R: 
         person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
 Description: Provides function, wget_set(), to change the method (default to 'wget -c') using in download.file().
@@ -11,8 +11,8 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-08-30 13:36:49 UTC; HUAWEI
+Packaged: 2024-09-24 09:11:10 UTC; HUAWEI
 Author: Guangchuang Yu [aut, cre] (<https://orcid.org/0000-0002-6485-8781>)
 Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-03 16:10:02 UTC
+Date/Publication: 2024-09-24 09:30:02 UTC
