## wget 0.0.4

=== DESCRIPTION ===
Package: wget
Title: Setting Download Method to 'wget'
Version: 0.0.4
Authors@R: 
        person("Guangchuang", "Yu",     email = "guangchuangyu@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-6485-8781"))
Description: Provides function, wget_set(), to change the method (default to 'wget -c') using in download.file().
  Using 'wget -c' allowing continued downloading, which is especially useful for slow internet connection and for downloading large files.
  User can run wget_unset() to restore previous setting.
Imports: yulab.utils (>= 0.2.1)
License: Artistic-2.0
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-08-19 15:03:27 UTC; HUAWEI
Author: Guangchuang Yu [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-6485-8781>)
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Repository: CRAN
Date/Publication: 2025-08-19 15:50:02 UTC
