## wget 1.12

=== debian/changelog ===
wget (1.12-3.1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Keep build dependencies in main:
      + debian/control: remove info2man build-dep
      + debian/patches/series: disable wget-infopod_generated_manpage
    - Depend on libssl-dev 0.9.8k-7ubuntu4 (LP: #503339)
    - Mark wget Multi-Arch: foreign, so packages that aren't of the same arch
      can depend on it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2011 19:46:25 +0000

wget (1.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: move updating config.{guess,sub} from the clean
    target to the config.status target to avoid unnecessarily
    generating patch files with their content (these files are
    now simply removed by the clean target)
  * debian/patches/debian-changes-1.12-2: drop accordingly
  * debian/patches/disable-SSLv2: new; debian/rules: pass the
    new flag -DNO_SSLv2 to configure (Closes: #622032)
  * debian/rules: clean away _all_ files changed during build;
    debian/patches/refresh-pofiles: regenerate all pofiles, which
    will also be done during package build (these changes are made
    to keep the package buildable twice in a row)
  * Add missing B-D on autotools-dev

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 25 Apr 2011 17:28:39 +0000

wget (1.12-3) unstable; urgency=low

  * Upload by Noèl Köthe <noel@debian.org>;
  * Convert all dpatch-based patches to quilt-based ones, thus fixing the
    bug reported by Lucas Nussbaum (closes: #614373).
  * Add one more patch fixing a typo in doc/wget.texi.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 17 Mar 2011 20:28:53 +0100

wget (1.12-2.1ubuntu2) natty; urgency=low

  * Mark wget Multi-Arch: foreign, so packages that aren't of the same arch
    can depend on it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Feb 2011 02:58:07 -0800

wget (1.12-2.1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #403070), remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Keep build dependencies in main:
      + debian/control: remove info2man build-dep
      + debian/patches/00list: disable wget-infopod_generated_manpage.dpatch
    - Depend on libssl-dev 0.9.8k-7ubuntu4 (LP: #503339)
  * Dropped changes:
    - SECURITY UPDATE: arbitrary file overwrite via 3xx redirect
      + debian/patches/CVE-2010-2252.dpatch: don't use server names in
        doc/wget.texi, src/{http.*,init.c,main.c,options.h,retr.c}.
      + This update changes previous behaviour by ignoring the filename
        supplied by the server during redirects. To re-enable previous
        behaviour, see the new --trust-server-names option.
      + CVE-2010-2252: fixed in debian

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 02 Nov 2010 15:17:29 +0100

wget (1.12-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2010-2252: use of server provided file name might lead to
    overwriting arbitrary files. Thanks to Marc Deslauriers and the Ubuntu
    Security team (Closes: #590296)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 05 Sep 2010 15:33:19 +0200

wget (1.12-2) unstable; urgency=low

  * acknoledge NMUs. Thanks for your work/help Matt and Anthony
    closes: #574185
  * debian/source/format switched to dpkg-source 3.0 (quilt) format

 -- Noèl Köthe <noel@debian.org>  Fri, 09 Apr 2010 22:50:22 +0200

wget (1.12-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Revised po/zh_CN.po based on
    http://translationproject.org/PO-files/zh_CN/wget-1.12-pre6.zh_CN.po
    to correct mistranslation of "  eta " etc. closes: Bug#570528
  * Revised po/de.po to removed extraneous doubled quote signs in German
    locale. closes: Bug#571704
  * debian/control updated Standards-Version to 3.8.4, no changes

 -- Anthony Fok <foka@debian.org>  Wed, 17 Mar 2010 06:19:26 +0800

wget (1.12-1.1ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: arbitrary file overwrite via 3xx redirect
    - debian/patches/CVE-2010-2252.dpatch: don't use server names in
      doc/wget.texi, src/{http.*,init.c,main.c,options.h,retr.c}.
    - This update changes previous behaviour by ignoring the filename
      supplied by the server during redirects. To re-enable previous
      behaviour, see the new --trust-server-names option.
    - CVE-2010-2252

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Sep 2010 09:19:11 -0400

wget (1.12-1.1ubuntu2) lucid; urgency=low

  * Rebuild against libssl-dev 0.9.8k-7ubuntu4 to fix wget-udeb dependencies
    (LP: #503339).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jan 2010 16:31:46 +0000

wget (1.12-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
  * Keep build dependencies in main:
    - debian/control: remove info2man build-dep
    - debian/patches/00list: disable wget-infopod_generated_manpage.dpatch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 12 Dec 2009 08:15:59 -0500 

wget (1.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules remove usr/share/info/dir after installing closes: Bug#550217

 -- Matt Kraai <kraai@debian.org>  Sun, 25 Oct 2009 16:59:51 -0700

wget (1.12-1) unstable; urgency=low

  * new upstream release from 2009-09-22
    - fix CVE-2009-3490 "does not properly handle a '\0' character in a
      domain name in the Common Name field of an X.509 certificate"
      closes: Bug#549293
    - updated config.{guess,sub} closes: Bug#528642
    - remove IPv4 precedence from wget closes: Bug#481064
    - support for IDN/IRI domains closes: Bug#405127
    - fix output of non-verbose spider mode closes: Bug#338326
    - fix --delete-after leaves robots.txt lying around
      closes: Bug#288716

