=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# No more needed as all dpatches converted to quilt.
# include /usr/share/dpatch/dpatch.make

DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
confflags= --build $(DEB_BUILD_GNU_TYPE)
endif

config.status: 
	dh_testdir
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
	# Add here commands to configure the package.
	CFLAGS="$$CFLAGS -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -O2 -g -Wall" ./configure \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--enable-ipv6 \
			--with-ssl $(confflags)

	touch configure-stamp

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1

	cd po; make wget.pot

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	#-$(MAKE) distclean
	rm -f po/*.gmo po/wget.pot po/en@boldquot.po po/en@quot.po \
	    doc/wget.inf* doc/stamp-vti doc/version.texi \
	    doc/sample.wgetrc.munged_for_texi_inclusion
	rm -f config.guess config.sub

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/wget.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/wget
	rm -f $(CURDIR)/debian/wget/usr/share/info/dir

	# udeb
	mkdir -p debian/wget-udeb/usr/bin/
	cp debian/wget/usr/bin/wget debian/wget-udeb/usr/bin/wget.gnu

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo -a
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
