## wget 1.13.4

=== debian/changelog ===
wget (1.13.4-3+deb7u8) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian ELTS Team
  * CVE-2016-7098
    files rejected by access list are kept on the disk for the duration of
    HTTP connection 

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jan 2020 19:00:14 +0100

wget (1.13.4-3+deb7u7) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian ELTS Team
  * CVE-2019-5953
    Fix of a buffer overflow vulnerability.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 22 Apr 2019 21:00:14 +0200

wget (1.13.4-3+deb7u6) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team.
  * CVE-2018-0494: Fix cookie injection vulnerability in the resp_new 
    function in http.c. (Closes: #898076)

 -- Abhijith PA <abhijith@disroot.org>  Fri, 11 May 2018 00:48:07 +0530

wget (1.13.4-3+deb7u5) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team
  * CVE-2017-13089
    Fix stack overflow in HTTP protocol handling.
  * CVE-2017-13090
    Fix heap overflow in HTTP protocol handling.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 27 Oct 2017 19:00:14 +0200

wget (1.13.4-3+deb7u4) wheezy-security; urgency=high

  * CVE-2017-6508: Prevent a CRLF injection vulnerability which allowed remote
    attackers to inject arbitrary HTTP headers via CRLF sequences in the host
    subcomponent of a URL. (Closes: #857073)

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Mar 2017 10:22:00 +0000

wget (1.13.4-3+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Debian LTS Team
  * CVE-2016-4971
    On a server redirect from HTTP to a FTP resource, wget would trust 
    the HTTP server and uses the name in the redirected URL as the 
    destination filename.
    This behaviour was changed and now it works similarly as a redirect 
    from HTTP to another HTTP resource so the original name is used as
    the destination file.  To keep the previous behaviour the user must
    provide --trust-server-names.
    (Closes:  #827003)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Jun 2016 18:00:14 +0200

wget (1.13.4-3+deb7u2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Set retr-symlinks to true by default. This changes a default 
    setting of wget. Fixes security bug CVE-2014-4877

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Oct 2014 19:00:14 +0100

wget (1.13.4-3+deb7u1) stable-proposed-updates; urgency=low

  * backported TLS Server Name Indication (SNI) to stable 
    (patches/wget-tls-sni) from wget 1.14
    http://git.savannah.gnu.org/cgit/wget.git/commit/?id=fd582e454378db9a1e218acf79f24fbe042bed98
    closes: #653267

 -- Noël Köthe <noel@debian.org>  Sat,  1 Feb 2014 20:29:14 +0100

wget (1.13.4-3) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * Support client-side certificates when using GnuTLS. Closes: #646983

  [ Noël Köthe ]
  * thx Daniel for your work with the gnutls-client-cert patch
  * updated Standards-Version to 3.9.3; no changes needed
  * debian/copyright updated upstream author to Giuseppe Scrivano

 -- Noël Köthe <noel@debian.org>  Mon, 09 Apr 2012 19:38:36 +0200

wget (1.13.4-2) unstable; urgency=low

  * added hardened build flag. thx Moritz for the patch
    closes: Bug#654908 

 -- Noël Köthe <noel@debian.org>  Fri, 13 Jan 2012 16:31:57 +0100

wget (1.13.4-1) unstable; urgency=low

  * new upstream release 1.13.4 from 2011-09-17

 -- Noël Köthe <noel@debian.org>  Fri, 21 Oct 2011 17:43:13 +0200

wget (1.13-1) unstable; urgency=low

  * new upstream release 1.13 from 2011-08-09
    - updated wget-doc-remove-usr-local-in-wget.texi, 
      wget-fr.po-spelling-correction, 
    - removed wget-de.po-remove-double-quote-signs (latest de.po),
      CVE-2010-2252 (included upstream), wget-zh_CN.po-translation-correction,
      fix-paramter-spelling-error-in-wget.texi, refresh-pofiles
    - disabled disable-SSLv2 for the first upload
      see https://savannah.gnu.org/bugs/?33840
    - includes latest po files. closes: Bug#607198
    - bugs fixed with this release by upstream:
    -- IDN support: wget www.köln.de works:) closes: Bug#542145
    -- wildcard documentation of -X
       closes: Bug#215128
    -- wget -O - $URL says `-' saved but there is no file -
       closes: Bug#353326
    -- 'wget -c -N' ignores timestamps
       closes: Bug#402001
    -- missing a check for Subject Alternative Name (TLS cert.)
       closes: Bug#409938
    -- wget segfaults when server returns empty HTTP response code
       closes: Bug#563872
    -- wget: -A/-R vs. -O
       closes: Bug#565942
    -- Unterminated C string in http_atotm()
       closes: Bug#581817
    -- don't use PATH_MAX (FTBFS on hurd)
       closes: Bug#595538
    -- info page points to not documented --cookies option
       closes: Bug#597468
    -- SIGPIPE signal: wget over ssh orphans itself on ctrl+c
       closes: Bug#598731
    -- wget --backup-converted does not work
       closes: Bug#624675
    -- --adjust-extension renames .htm files
       closes: Bug#626438
    -- wget: Invalid russian translation
       closes: Bug#502218
    -- wget: shows only first 3 IP addresses of hostname
       closes: Bug#612450

  * debian/control correct spelling in description. closes: Bug#635241
  * debian/control replace libssl-dev by libgnutls-dev in build dependency
 
 -- Noël Köthe <noel@debian.org>  Tue, 12 Aug 2011 15:34:52 +0200

wget (1.12-5) unstable; urgency=low

  * minor update on patch CVE-2010-2252 to mention former option
    name --use-server-file-name. closes: #602008
  * debian/control minor name change Noèl -> Noël ;)

 -- Noël Köthe <noel@debian.org>  Sat, 23 Jul 2011 16:21:11 +0200

wget (1.12-4) unstable; urgency=low

  * acknowledge NMUs. Thanks for your work Thorsten and Filippo
    closes: #622032 #614373
  * updated Standards-Version: to 3.9.2 without changes
  * fixed lintian warning:
    - debian-rules-missing-recommended-target
  * debian/control add Multi-Arch: foreign

