=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-# No more needed as all dpatches converted to quilt.
-# include /usr/share/dpatch/dpatch.make
+#export DH_VERBOSE=1
 
 DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -15,26 +12,39 @@
 confflags= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
 config.status: 
 	dh_testdir
 	cp /usr/share/misc/config.guess /usr/share/misc/config.sub .
 	# Add here commands to configure the package.
-	CFLAGS="$$CFLAGS -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -O2 -g -Wall" ./configure \
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
 			--prefix=/usr \
 			--mandir=\$${prefix}/share/man \
 			--infodir=\$${prefix}/share/info \
 			--sysconfdir=/etc \
 			--enable-ipv6 \
-			--with-ssl $(confflags)
+			--with-ssl \
+			--with-libidn $(confflags)
 
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp: config.status
 	dh_testdir
 
 	# Add here commands to compile the package.
 	$(MAKE)
+	#TESTING: $(MAKE) check
+	#TESTING: add this to build-depends: , libhttp-daemon-perl, libio-socket-ssl-perl
 	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1
 
 	cd po; make wget.pot
@@ -66,9 +76,6 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/wget
 	rm -f $(CURDIR)/debian/wget/usr/share/info/dir
 
-	# udeb
-	mkdir -p debian/wget-udeb/usr/bin/
-	cp debian/wget/usr/bin/wget debian/wget-udeb/usr/bin/wget.gnu
 
 # Build architecture-independent files here.
 binary-indep: build install
