=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,9 @@
 confflags= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS = `dpkg-buildflags --get CFLAGS`
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 CFLAGS += -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
-CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 config.status: 
 	dh_testdir
@@ -28,7 +27,7 @@
 			--sysconfdir=/etc \
 			--enable-ipv6 \
 			--with-ssl \
-			--with-libidn $(confflags)
+			--with-libidn=/usr $(confflags)
 
 	touch configure-stamp
 
@@ -43,8 +42,6 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	#TESTING: $(MAKE) check
-	#TESTING: add this to build-depends: , libhttp-daemon-perl, libio-socket-ssl-perl
 	#/usr/bin/docbook-to-man debian/wget.sgml > wget.1
 
 	cd po; make wget.pot
