## wget 1.15

=== debian/changelog ===
wget (1.15-1ubuntu1) trusty; urgency=medium

  [ Colin Watson ]
  * Resynchronise with Debian.  Remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget.
    - Build-depend on libssl-dev 0.9.8k-7ubuntu4.
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build with -Os and
      without libidn.
    - Use dh_autotools-dev instead of custom config.{sub,guess} copy.

  [ Mark Russell ]
  * debian/rules: build wget-udeb to install its binary as /usr/bin/wget
    instead of /usr/bin/wget.gnu (LP: #1172101).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Feb 2014 17:42:45 +0000

wget (1.15-1) unstable; urgency=medium

  * new upstream release from 2014-01-19
      Wget: fails with long file names in URLs Closes: #672131
      Wget omits Host header for CONNECT Closes: #699337
      Wget: Inaccurate catalan translation Closes: #697081
      Cannot write to ... (Success) Closes: #716938
      Regression: write error on wget -c for already fully retrieved file
      Closes: #696700
      wget: NTLM not supported Closes: #718262
      wget --no-check-certificate does check certificate in certain conditions
      Closes: #686837
  * debian/control updated Standard-Version; no changes needed

 -- Noël Köthe <noel@debian.org>  Mon, 20 Jan 2014 20:17:54 +0100

wget (1.14.96.38327-2) experimental; urgency=low

  * debian/rules fix configure option --with-libidn Closes: #728735

 -- Noël Köthe <noel@debian.org>  Fri, 08 Nov 2013 12:58:42 +0100

wget (1.14.96.38327-1) experimental; urgency=low

  * 1.15 alpha version from 2013-11-02
    - removed patches which are included now upstream:
      wget-doc-fixitemx2item.patch
      wget-doc-remove2.nv.patch
      wget-doc-texi2pod_fixperl5.18change.patch
    - included fixes for
      Wget: fails with long file names in URLs Closes: #672131
      Wget omits Host header for CONNECT Closes: #699337
      Wget: Inaccurate catalan translation Closes: #697081
      Cannot write to ... (Success) Closes: #716938
      Regression: write error on wget -c for already fully retrieved file
      Closes: #696700
      wget: NTLM not supported Closes: #718262
      wget --no-check-certificate does check certificate in certain conditions
      Closes: #686837
  * debian/control add Recommends ca-certificates to get
    https URLs working. Closes: #712540
  * debian/rules fix lintian warning dh-clean-k-is-deprecated

 -- Noël Köthe <noel@debian.org>  Fri, 08 Nov 2013 08:14:32 +0100

wget (1.14-5ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget.
    - Build-depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build
      with -Os and without libidn.
  * Use dh_autotools-dev instead of custom config.{sub,guess} copy.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Dec 2013 23:53:45 -0700

wget (1.14-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUG in udeb to reduce
      code size.
    - d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Oussama Bounaim <o.bounaim@gmail.com>  Thu, 18 Jul 2013 14:29:40 +0100

wget (1.14-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUG in udeb to reduce
      code size.
    - d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Clint Byrum <clint@ubuntu.com>  Wed, 07 Nov 2012 09:11:39 -0800

wget (1.13.4-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, Remaining Changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUGin udeb to reduce
      code size.
    - d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Clint Byrum <clint@ubuntu.com>  Thu, 14 Jun 2012 12:29:44 -0700

wget (1.13.4-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, Remaining Changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4
    - Pass --with-ssl=openssl; we don't want to use gnutls, there's no udeb
      for it.
    - Add a second build pass for the udeb, so we can build without libidn.
    - d/rules: Compile with -Os and disabling NLS/DEBUGin udeb to reduce
      code size.
  * d/rules: change backticks to $(shell ...) to fix FTBFS in sbuild

 -- Clint Byrum <clint@ubuntu.com>  Fri, 10 Feb 2012 17:01:43 -0800

wget (1.13.4-1ubuntu2) precise; urgency=low

  * d/rules: Compile with -Os and disabling NLS/DEBUGin udeb to reduce
    code size. (LP: #893308)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 21 Nov 2011 16:14:12 -0800

wget (1.13.4-1ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Add wget-udeb to ship wget.gnu as alternative to busybox wget
      implementation.
    - Depend on libssl-dev 0.9.8k-7ubuntu4

