## wget 1.16

=== debian/changelog ===
wget (1.16-1+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cookie injection (CVE-2018-0494) (Closes: #898076)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 May 2018 21:24:51 +0200

wget (1.16-1+deb8u4) jessie-security; urgency=medium

  * CVE-2017-13089 / CVE-2017-13090

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 26 Oct 2017 19:38:43 +0200

wget (1.16-1+deb8u2) jessie; urgency=medium

  * added upstream patch to fix CVE-2017-6508 closes: Bug#857073

 -- Noël Köthe <noel@debian.org>  Sat, 18 Mar 2017 15:39:29 +0100

wget (1.16-1+deb8u1) jessie; urgency=medium

  * added patch for CVE-2016-4971. closes: #827003, #829130
    By default, on server redirects to a FTP resource, use the original
    URL to get the local file name. Close CVE-2016-4971.  This
    introduces a backward-incompatibility for HTTP->FTP redirects and
    any script that relies on the old  behaviour must use
    --trust-server-names.
  * debian/rules fixed clean target

 -- Noël Köthe <noel@debian.org>  Mon, 04 Jul 2016 18:37:47 +0200

wget (1.16-1) unstable; urgency=medium

  * new upstream release from 2014-10-27
    - "Poodle" do not use SSLv3 except explicitely requested (CVE-2014-3566)
  * debian/control: Public Suffix List cookie domain checking via libpsl
    Closes: #766780
  * debian/control: updated Standards-Version to 3.9.6 (no changes needed)

 -- Noël Köthe <noel@debian.org>  Mon, 27 Oct 2014 11:29:29 +0100
