=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: web
 Priority: important
 Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>> 9.0.0), gettext, texinfo, libgnutls28-dev, autotools-dev, libidn11-dev, uuid-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>> 9.0.0), gettext, texinfo, libgnutls28-dev, autotools-dev, libidn11-dev, uuid-dev, libpsl-dev
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/wget/
 
 Package: wget
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ca-certificates
 Conflicts: wget-ssl
 Multi-Arch: foreign
 Description: retrieves files from the web
