## wget 1.16.1

=== debian/changelog ===
wget (1.16.1-1ubuntu1.1) wily-security; urgency=medium

  * SECURITY UPDATE: http to ftp redirect spoofed filenames
    - debian/patches/CVE-2016-4971.patch: understand --trust-server-names
      on a HTTP->FTP redirect in src/ftp.*, src/retr.c.
    - CVE-2016-4971

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jun 2016 10:45:05 +0300

wget (1.16.1-1ubuntu1) vivid; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Add wget-udeb to ship wget as alternative to busybox wget.
    - Build-Depend on libssl-dev instead of libgnutls28-dev.
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build with -Os and
      without libidn.
    - Use dh_autotools-dev instead of custom config.{sub,guess} copy.
    - Don't build with libpsl-dev, which is in universe.
  * Drop fix-openssl-implicit-decl-warning.patch, applied upstream.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 13 Jan 2015 17:51:26 +0300

wget (1.16.1-1) experimental; urgency=medium

  * new upstream release from 2014-12-08 to experimental until jessie release
    - fixed progress bar. closes: #768110
    - new option --crl-file closes: #745836
  * enabled pcre support. closes: #772020
  * debian/rules hardening all. Thanks Markus for the hint

 -- Noël Köthe <noel@debian.org>  Wed, 10 Dec 2014 20:33:35 +0100

wget (1.16-3) unstable; urgency=medium

  * debian/patches/wget-progressbar.patch removed
    the patch results sometimes in stopping downloads so reverting it
    wget: progress.c:1161: create_image: Assertion `count_cols
    (bp->buffer) <= bp->width' failed.
    Bug #768110 is reopend
    Closes: Bug#768323

 -- Noël Köthe <noel@debian.org>  Thu, 06 Nov 2014 14:48:01 +0100

wget (1.16-2) unstable; urgency=medium

  * debian/changelog mention CVE-2014-4877 in 1.16-1
  * debian/patches/wget-progressbar.patch upstream commited patch
    76f6fe22 to fix progressbar. Closes: #768110
  * debian/patches/wget-doc-CRLs.patch document that CRLs are not checked.
    Closes: #767283

 -- Noël Köthe <noel@debian.org>  Wed, 05 Nov 2014 12:15:02 +0100

wget (1.16-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Add wget-udeb to ship wget as alternative to busybox wget.
    - Build-Depend on libssl-dev instead of libgnutls28-dev.
    - Pass --with-ssl=openssl; there's no udeb for gnutls.
    - Add a second build pass for the udeb, so we can build with -Os and
      without libidn.
    - Use dh_autotools-dev instead of custom config.{sub,guess} copy.
  * Don't build with Public Suffix List cookie domain checking (required
    library is in universe)
    - debian/control: remove libpsl-dev from Build-Depends.
  * Fix openssl build
    - debian/patches/fix-openssl-implicit-decl-warning.patch: added missing
      include to src/openssl.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 30 Oct 2014 10:37:04 -0400
